{-# OPTIONS_HADDOCK hide #-}
-- This source file is part of HGamer3D
-- (A project to enable 3D game development in Haskell)
-- For the latest info, see http://www.althainz.de/HGamer3D.html
--
-- (c) 2014 Peter Althainz
--
-- Licensed under the Apache License, Version 2.0 (the "License");
-- you may not use this file except in compliance with the License.
-- You may obtain a copy of the License at
--
--     http://www.apache.org/licenses/LICENSE-2.0
--
-- Unless required by applicable law or agreed to in writing, software
-- distributed under the License is distributed on an "AS IS" BASIS,
-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-- See the License for the specific language governing permissions and
-- limitations under the License.

-- HGamer3D/Internal/ECS/ComponentType Module
--

module HGamer3D.Engine.Internal.ComponentType

where

-- | Possible Component Types, which are known, this list needs to be extended, if
--   additional components are introduced. Each component can occur only once in
--   an Entity.
data ComponentType =   CTPos    -- ^ Position
                     | CTOri    -- ^ Orientation
                     | CTSiz    -- ^ Size
                     | CTFig    -- ^ Figure
                     | CTASl    -- ^ Audio Slots 
                     | CTALs    -- ^ Audio Listener
                     | CTCam    -- ^ Cameras
                     | CTLig    -- ^ Light
                     | CTScP    -- ^ Scene Parameter
                     | CTEvR    -- ^ Event Receiver 
                     | CTEvC    -- ^ Event Channel
                     | CTGFo    -- ^ GUI Forms
                       deriving (Eq, Ord, Show)

  
